Scilab Function

scilab - Major unix script to execute Scilab and miscellaneous tools

### Calling Sequence

  `scilab <Options>`
  `scilab -link <objects>`

### Description

  scilab <Options> : run scilab.
    -ns:if this option is present the startup file `SCI/scilab.star` is not executed.
    -nw:if this option is present then scilab is not run in an X window.
    -nb:if this option is present then the scilab welcome banner is not displayed.
    -l lang:if this option is present it fixes the user language. The possible `lang` values are `'fr'` for french and `'eng'` for english. The default language is english. This default value is fixed the `scilab.star` file.
    -f file: if this option is present then Scilab script `file` is executed first into Scilab.
    -e instruction: if this option is present then Scilab instruction `instruction` is executed first into Scilab.
    -args arguments: if this option is present arguments are passed to Scilab. They can then be got by `sciargs` function. For multi arguments passing use a quoted, blank separated sequence of words like: `scilab -args 'foo1 foo2'`
  scilab -link <objects>: Is used to produce a local `scilex` (executable code of Scilab) linked with the additional files given by the user in `<objects>` . If, in the list of object files, some names are known from `SCIDIR/routines/default` , then the `scilex` default files are omitted and replaced with the given ones . This command also produces a `xscilab` script, which when called will ran the new generated scilex file.

  For example:

      scilab -link  C/interf.o C/evol.o C/bib.a

  will create a new `scilex` file in which the default `interf.o` file will be replaced by `C/interf.o` .